net.minecraft.world.gen.structure

## Class StructureVillagePieces.Start

- java.lang.Object
- - net.minecraft.world.gen.structure.StructureComponent
  - - net.minecraft.world.gen.structure.StructureVillagePieces.Village
    - - net.minecraft.world.gen.structure.StructureVillagePieces.Well
      - - net.minecraft.world.gen.structure.StructureVillagePieces.Start

- Enclosing class:
    StructureVillagePieces

      public static class StructureVillagePieces.Start
      extends StructureVillagePieces.Well

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.world.gen.structure.StructureComponent

      `StructureComponent.BlockSelector`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BiomeGenBase` | `biome`
    `java.util.List` | `field_74930_j`
    `java.util.List` | `field_74932_i`
    `boolean` | `inDesert`
    `java.util.List` | `structureVillageWeightedPieceList`
    `StructureVillagePieces.PieceWeight` | `structVillagePieceWeight`
    `int` | `terrainType`
    `WorldChunkManager` | `worldChunkMngr`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureVillagePieces.Village

      `field_143015_k`

    - ### Fields inherited from class net.minecraft.world.gen.structure.StructureComponent

      `boundingBox, componentType, coordBaseMode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StructureVillagePieces.Start()`
    `StructureVillagePieces.Start(WorldChunkManager par1WorldChunkManager, int par2, java.util.Random par3Random, int par4, int par5, java.util.List par6List, int par7)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `WorldChunkManager` | `getWorldChunkManager()`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureVillagePieces.Well

      `addComponentParts, buildComponent`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureVillagePieces.Village

      `canVillageGoDeeper, fillWithBlocks, func_143011_b, func_143012_a, func_151554_b, func_151557_c, func_151558_b, getAverageGroundLevel, getNextComponentNN, getNextComponentPP, getVillagerType, placeBlockAtCurrentPosition, spawnVillagers`

    - ### Methods inherited from class net.minecraft.world.gen.structure.StructureComponent

      `clearCurrentPositionBlocksUpwards, fillWithAir, fillWithMetadataBlocks, fillWithRandomizedBlocks, findIntersecting, func_143009_a, func_143010_b, func_151547_a, func_151552_a, func_151553_a, generateStructureChestContents, generateStructureDispenserContents, getBlockAtCurrentPosition, getBoundingBox, getComponentType, getMetadataWithOffset, getXWithOffset, getYWithOffset, getZWithOffset, isLiquidInStructureBoundingBox, placeDoorAtCurrentPosition, randomlyFillWithBlocks`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### worldChunkMngr

          public WorldChunkManager worldChunkMngr

    - #### inDesert

          public boolean inDesert

    - #### terrainType

          public int terrainType

    - #### structVillagePieceWeight

          public StructureVillagePieces.PieceWeight structVillagePieceWeight

    - #### structureVillageWeightedPieceList

          public java.util.List structureVillageWeightedPieceList

    - #### field_74932_i

          public java.util.List field_74932_i

    - #### field_74930_j

          public java.util.List field_74930_j

    - #### biome

          public BiomeGenBase biome

  - ### Constructor Detail

    - #### StructureVillagePieces.Start

          public StructureVillagePieces.Start()

    - #### StructureVillagePieces.Start

          public StructureVillagePieces.Start(WorldChunkManager par1WorldChunkManager,
                                      int par2,
                                      java.util.Random par3Random,
                                      int par4,
                                      int par5,
                                      java.util.List par6List,
                                      int par7)

  - ### Method Detail

    - #### getWorldChunkManager

          public WorldChunkManager getWorldChunkManager()